Subject: Re: [Gen-art] Gen-art review of draft-ietf-mmusic-rfc3388bis-03.txt

From: Gonzalo Camarillo <[email-masked]>
Date: Wed, 04 Nov 2009 13:34:44 +0200

Hi Elwyn,

thanks for your review. Answers inline:

Elwyn Davies wrote:
> I have been selected as the General Area Review Team (Gen-ART)
> reviewer for this draft (for background on Gen-ART, please see
> _http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html_).
> 
> Please resolve these comments along with any other Last Call comments
> you may receive.
> 
> [Apologies fhe late review. I missed the assignment while I was away on 
> holiday.]
> 
> Document: draft-ietf-mmusic-rfc3388bis-03.txt
> Reviewer: Elwyn Davies
> Review Date: 17 October 2009
> IETF LC End Date: 14 October 2009
> IESG Telechat date: (if known) -
> 
> Summary: Almost ready.  Couple of minor nits only.
> Major issues: 0
> 
> Minor issues: 2
> ss4 and 5:  Technically the BNF in these sections is ABNF (since it adds 
> to that in RFC 4566). It should therefore be described as such and refer 
> to RFC 4234.

I fixed this while addressing the discusses this document got.

> s9.4.2, last para:  How does the offerer know that the grouping is the 
> cause of the error message? (This comment may be due to my lack of 
> understanding of the minutiae of SDP).

I answered this question in a separate email.

> Nits/editorial comments:
> 
> s7, para 2:  The use of 'wall clock' is jargon.  Something like 'into a 
> local absolute time value' (there is probably a better way of putting 
> this) would be better.

Fixed.

> 
> s9.1.1, next to last para: s/lines contained/line contained/

Fixed.

> s9.3, para 1: s/every semantics/every semantic/

The document treats the word "semantics" as a singular word many times 
because it is referring to the value of the semantics field. I think if 
we write "semantics value" instead of only semantics, it would be OK. If 
you think this would be OK, let me know and I will change it the whole 
document.

Thanks,

Gonzalo

---

From: Elwyn Davies <[email-masked]>
Date: Wed, 04 Nov 2009 19:49:49 +0000

Gonzalo Camarillo wrote:
>> [Apologies fhe late review. I missed the assignment while I was away 
>> on holiday.]
>>
>> ss4 and 5:  Technically the BNF in these sections is ABNF (since it 
>> adds to that in RFC 4566). It should therefore be described as such 
>> and refer to RFC 4234.
>
OK
>
>> s9.4.2, last para:  How does the offerer know that the grouping is 
>> the cause of the error message? (This comment may be due to my lack 
>> of understanding of the minutiae of SDP).
>
and I replied to that.
>
>
>> Nits/editorial comments:
>>
>> s7, para 2:  The use of 'wall clock' is jargon.  Something like 'into 
>> a local absolute time value' (there is probably a better way of 
>> putting this) would be better.
>
> Fixed.
>
>>
> because it is referring to the value of the semantics field. I think 
> if we write "semantics value" instead of only semantics, it would be 
> OK. If you think this would be OK, let me know and I will change it 
> the whole document.
I think you only need to change the case in s9.3 para 1.  
s/semantics/semantics value/ would be fine.  My mistake really - 
'semantics' is actually a singular noun in English (as well as being the 
name of the element in the grammar) whereas semantic is an adjective.

Regards,
Elwyn

---

From: Gonzalo Camarillo <[email-masked]>
Date: Fri, 06 Nov 2009 09:21:48 +0200

Hi Elwyn,

I have made the change you suggested. I will be submitting a new 
revision right after the blackout period.

Thanks,

Gonzalo